POST https://api.staging.deliverect.com /{channelName}/order/{channelLinkId} Staging Environment

Create Order

Create/Cancel Order

Your channel integration can use this endpoint to place a new order or process a cancellation of an existing order. See examples listed on the right hand side of this page.

Channel 'Scope'

The channelName represents the Scope provided to create orders.

If the channelname used is invalid or does not have access to an account, the request is considered unauthorised. Remember to write the channelname in lowercase letters.

The {channelLinkId} is the unique identifier of the channel in the restaurant location. Obtained via a registration webhook event delivered via Register Channel

If the channelLinkId used is invalid or has not been made available to your partner account, the request is considered unauthorised.

Order Types

Depending on the format of the order created, the relevant orderType should be sent;

Type Integer Value
pick up 1
delivery 2
Eat-in 3
Curbside 4


All orders sent in a valid format with correct scope applied will receive a 201. This does not indicate the POS has successfully processed the order, you should reference the events sent to your 'Order Status Update' webhook to understand if successful.

Path parameters

  • string Required
  • string Required

Body

  • string Required
  • string Required
  • string Required
  • string
  • integer Required
  • string Required
  • string
  • string
  • object Required
    • integer Required
    • integer Required
    • integer
  • boolean
  • array[object]
  • array[object] Required
    • string Required
    • string Required
    • string Required
    • string Required
    • string
    • array[object]
  • object
  • boolean Required
  • integer
  • integer
  • integer
  • integer
  • integer
  • integer
  • integer
POST /{channelName}/order/{channelLinkId}
Loading...

Share your request

Use this link to easily share a pre-filled request of this operation. Everything you filled will be shared apart from the authentication fields.

Request URL

https://docs.deliverect.com/doc/channel-api/explorer/operation/operation-post-parameter-order-parameter

Send a delete request

It looks like you’re about to send a DELETE request to this API. This type of request carries a risk of permanent and irreversible data loss.

Are you sure you want to continue?
Response
Waiting for a request to be sent.